/*************************************************************************
 * ArtisticStylePlugin: Using Artistic Style at Qt Creator.              *
 * Copyright (C) 2010-2011  Lorenz Haas <lykurg@gmail.com>               *
 *                                                                       *
 * This program is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation, either version 3 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 *************************************************************************/

#ifndef ARTISTICSTYLEOPTIONPAGE_H
#define ARTISTICSTYLEOPTIONPAGE_H

#include <coreplugin/dialogs/ioptionspage.h>
#include <coreplugin/coreconstants.h>

namespace ArtisticStyle
{
  namespace Internal
  {
    class ArtisticStyleOptionPageGui;

    class ArtisticStyleOptionPage : public Core::IOptionsPage
    {
        Q_OBJECT

      public:
        ArtisticStyleOptionPage(QObject* parent = 0);
        ~ArtisticStyleOptionPage();
        QString id() const;
        QString trName() const;
        QString category() const;
        QString trCategory() const;
        QWidget* createPage(QWidget* parent);
        void apply();
        void finish();
#if (IDE_VERSION_MAJOR == 2)
        QString displayName() const;
        QString displayCategory() const;
        QIcon categoryIcon() const;
#endif

      Q_SIGNALS:
        void preferencesChanged();

      private:
        ArtisticStyleOptionPageGui* m_gui;
    };
  } // namespace Internal
} // namespace ArtisticStyle

#endif // ARTISTICSTYLEOPTIONPAGE_H
